Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SoundListener Class Reference

サウンドリスナ More...

`#include <SoundListener.h>`

List of all members.

## Public Member Functions
virtual void | setPosition (const Vector3 &position)
| 位置の設定
virtual const Vector3 & | getPosition () const
| 位置の取得
virtual void | setVelocity (const Vector3 &velocity)
| 速度の設定
virtual const Vector3 & | getVelocity () const
| 速度の取得
virtual void | setPositionAndVelocity (const Vector3 &position, float millisecond)
| 位置と速度の設定
virtual void | setDirection (const Vector3 &frontDirection, const Vector3 &upDirection)
| 方向の設定
virtual const Vector3 & | getFrontDirection () const
| 前方向の取得
virtual const Vector3 & | getUpDirection () const
| 上方向の取得
virtual void | setDistanceFactor (float distanceFactor)
| 距離係数の設定
virtual float | getDistanceFactor () const
| 距離係数の取得
virtual void | setRolloffFactor (float rolloffFactor)
| ロールオフ係数の設定
virtual float | getRolloffFactor () const
| ロールオフ係数の取得
virtual void | setDopplerFactor (float dopplerFactor)
| ドップラー係数の設定
virtual float | getDopplerFactor () const
| ドップラー係数の取得
virtual String | toString () const
| 文字列への変換
virtual void | apply3DSettings ()
| 3D設定の適用
## Friends
class | LampSound

## Detailed Description

サウンドリスナ

Definition at line 34 of file SoundListener.h.

## Member Function Documentation

void Lamp::SoundListener::apply3DSettings | ( |  | ) | `[virtual]`

| 3D設定の適用 通常はLampSound::presentation()から呼ばれます。 Definition at line 174 of file SoundListener.cpp. References DirectXFailed, and ErrorOut. Referenced by Lamp::LampSound::presentation().

virtual float Lamp::SoundListener::getDistanceFactor | ( |  | ) | const`[inline, virtual]`

| 距離係数の取得 デフォルト値はSoundDefinitionで定義されています。 Returns: 距離係数 Definition at line 108 of file SoundListener.h.

virtual float Lamp::SoundListener::getDopplerFactor | ( |  | ) | const`[inline, virtual]`

| ドップラー係数の取得 Returns: ドップラー係数 Definition at line 134 of file SoundListener.h.

virtual const Vector3& Lamp::SoundListener::getFrontDirection | ( |  | ) | const`[inline, virtual]`

| 前方向の取得 Returns: 前方向 Definition at line 85 of file SoundListener.h.

virtual const Vector3& Lamp::SoundListener::getPosition | ( |  | ) | const`[inline, virtual]`

| 位置の取得 Returns: 位置 Definition at line 48 of file SoundListener.h.

virtual float Lamp::SoundListener::getRolloffFactor | ( |  | ) | const`[inline, virtual]`

| ロールオフ係数の取得 Returns: ロールオフ係数 Definition at line 121 of file SoundListener.h.

virtual const Vector3& Lamp::SoundListener::getUpDirection | ( |  | ) | const`[inline, virtual]`

| 上方向の取得 Returns: 上方向 Definition at line 91 of file SoundListener.h.

virtual const Vector3& Lamp::SoundListener::getVelocity | ( |  | ) | const`[inline, virtual]`

| 速度の取得 Returns: 速度 Definition at line 61 of file SoundListener.h.

void Lamp::SoundListener::setDirection | ( | const Vector3 & | frontDirection,
|  | const Vector3 & | upDirection
| ) | `[virtual]`

  | 方向の設定 Parameters:
  frontDirection | 前方向
  upDirection | 上方向
Definition at line 101 of file SoundListener.cpp. References Assert, DirectXFailed, ErrorOut, Lamp::Vector3::isZero(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

void Lamp::SoundListener::setDistanceFactor | ( | float | distanceFactor | ) | `[virtual]`

  | 距離係数の設定 デフォルト値はSoundDefinitionで定義されています。 Parameters:
  distanceFactor | 距離係数
Definition at line 117 of file SoundListener.cpp. References Assert, DirectXFailed, and ErrorOut.

void Lamp::SoundListener::setDopplerFactor | ( | float | dopplerFactor | ) | `[virtual]`

  | ドップラー係数の設定 Parameters:
  dopplerFactor | ドップラー係数
Definition at line 142 of file SoundListener.cpp. References Assert, DirectXFailed, and ErrorOut.

void Lamp::SoundListener::setPosition | ( | const Vector3 & | position | ) | `[virtual]`

  | 位置の設定 Parameters:
  position | 位置
Definition at line 67 of file SoundListener.cpp. References DirectXFailed, ErrorOut, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by setPositionAndVelocity().

void Lamp::SoundListener::setPositionAndVelocity | ( | const Vector3 & | position,
|  | float | millisecond
| ) | `[virtual]`

  | 位置と速度の設定 Parameters:
  position | 位置
  millisecond | 前回からの時間をミリ秒で設定
Definition at line 87 of file SoundListener.cpp. References Assert, setPosition(), and setVelocity().

void Lamp::SoundListener::setRolloffFactor | ( | float | rolloffFactor | ) | `[virtual]`

  | ロールオフ係数の設定 Parameters:
  rolloffFactor | ロールオフ係数
Definition at line 129 of file SoundListener.cpp. References Assert, DirectXFailed, and ErrorOut.

void Lamp::SoundListener::setVelocity | ( | const Vector3 & | velocity | ) | `[virtual]`

  | 速度の設定 Parameters:
  velocity | 速度
Definition at line 77 of file SoundListener.cpp. References DirectXFailed, ErrorOut, Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z. Referenced by setPositionAndVelocity().

String Lamp::SoundListener::toString | ( |  | ) | const`[virtual]`

| 文字列への変換 Returns: 文字列 Definition at line 155 of file SoundListener.cpp. References Lamp::String::format(), Lamp::Vector3::x, Lamp::Vector3::y, and Lamp::Vector3::z.

The documentation for this class was generated from the following files:

- SoundListener.h
- SoundListener.cpp